echo off
cls
if not exist blood.exe goto error

:menu
cls
echo.
echo ----------------------------------------------------------------------
echo    Blood Ver. 1.10 by Monolith Productions - Castle of Horrors MAP             
echo ----------------------------------------------------------------------
echo.
echo                    1  -  Install Castle of Horrors
echo                    2  -  Uninstall Castle of Horrors
echo                    3  -  Read Map Description
echo                    4  -  Exit
echo.
echo              (Remember to Read README.BAT! Don't be lazy!)
echo.
echo.

if exist interru.on echo Status - Castle of Horrors Installed!
if exist interru.off echo Status - Castle of Horrors NOT Installed! Install it NOW!
echo.
choice /c:1234 
if errorlevel 4 goto exit
if errorlevel 3 goto text
if errorlevel 2 goto uninstall
if errorlevel 1 goto install 

:error
echo.
echo You must put the packed files of CHORROR.ZIP in your BLOOD directory!
echo BLOOD.EXE was not found!
echo.
goto end

:exit
goto end

:text
type chorror.txt |more
pause
goto menu

:o2
echo.
echo It seems that you didn't installed the LEVEL YET!!!
echo.
pause
goto menu

:uninstall
if exist interru.off goto o2
echo.
echo Are you sure you want to uninstall this brilliant LEVEL?
echo. 
choice /c:yn
if errorlevel 2 goto menu
if errorlevel 1 goto remove2

:remove2
cls
echo.
echo Uninstalling Map and its sub-components... 
echo [ CTRL+BREAK to stop ] 
echo.

del chorror.map
del readme.bat
del chorror.txt
del blood.ini
del interru.on

if exist blood.org rename blood.org blood.ini

echo.
echo The Castle of Horrors' files had been removed!
echo.
goto end


:o1
echo.
echo You have already installed Castle of Horrors!
echo.
pause
goto menu

:install
if exist interru.on goto o1
cls
echo.
echo Preparing to Install Blood Map Castle of Horrors...
echo [ CTRL+BREAK to stop ]
echo.
pause
echo Backing up original files...
echo.
if exist blood.ini rename blood.ini blood.org
echo Done.
echo.
echo Creating new file...
echo.
rename blood.cdf blood.ini
echo.
echo Checking installation...
echo.
if not exist chorror.map echo Can't find chorror.map!
if not exist chorror.txt echo Can't find chorror.txt!
if not exist readme.bat echo Can't find readme.bat!
if not exist blood.ini echo Cant't find blood.ini! Try to Undelete it!
echo Done.
rename interru.off interru.on
echo Installation completed!
echo.
echo Type BLOOD to play Castle of Horrors!
echo.
goto end

:end
echo.
echo --------------------------------------------------------------------
echo  Castle of Horrors - The Awful Tortures (Blood Ver 1.10 Map Level).
echo --------------------------------------------------------------------
echo  (c)-1998 by Joao P.Goncalves. E-Mail: netShib@yahoo.com
echo  Lisbon, Portugal.
echo.




